Skip to main content
POST
/
api
/
v0
/
computers
/
{computerId}
/
restart
Restart a managed computer
curl --request POST \
  --url https://api.factory.ai/api/v0/computers/{computerId}/restart \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.factory.ai/api/v0/computers/{computerId}/restart"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.factory.ai/api/v0/computers/{computerId}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

computerId
string
required

Computer ID

Response

Response for status 200

The response is of type object.